[Fusionforge-commits] FusionForge branch 6.0 updated. v6.0.2-73-g8d4295c

Sylvain Beucler beuc-inria at libremir.placard.fr.eu.org
Mon Sep 7 18:32:37 CEST 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, 6.0 has been updated
       via  8d4295cc623ff51f45e35dd648ada31885384a5f (commit)
      from  2f6bc2a2dbe8d6285d4633d5621ae48a4a711545 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://scm.fusionforge.org/anonscm/gitweb/?p=fusionforge/fusionforge.git;a=commitdiff;h=8d4295cc623ff51f45e35dd648ada31885384a5f

commit 8d4295cc623ff51f45e35dd648ada31885384a5f
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Mon Sep 7 18:30:45 2015 +0200

    testsuite: add script to explain how to run code_and_unit_tests.php

diff --git a/tests/code_and_unit_tests.sh b/tests/code_and_unit_tests.sh
new file mode 100755
index 0000000..5476e0a
--- /dev/null
+++ b/tests/code_and_unit_tests.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Setup and run unit tests
+#
+# Copyright (C) 2015  Inria (Sylvain Beucler)
+#
+# This file is part of FusionForge. FusionForge is free software;
+# you can redistribute it and/or modify it under the terms of the
+# GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the Licence, or (at your option)
+# any later version.
+#
+# FusionForge is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with FusionForge; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -ex
+
+# Additional dependencies: 'pcregrep' and 'isutf8'
+apt-get -y install pcregrep moreutils
+# TODO: fix htmlpurifier include PATH in CentOS
+
+phpunit code_and_unit_tests.php
diff --git a/tests/func_tests.sh b/tests/func_tests.sh
index 6f9d69f..55307f5 100755
--- a/tests/func_tests.sh
+++ b/tests/func_tests.sh
@@ -1,5 +1,6 @@
 #!/bin/bash
-# Run FusionForge's PHPUnit+Selenium testsuite
+# Install and start Selenium in background, pass configuration, and
+# run PHPUnit functional testsuite
 #
 # Copyright (C) 2011  Olivier Berger - Institut Telecom
 # Copyright (C) 2014, 2015  Inria (Sylvain Beucler)

-----------------------------------------------------------------------

Summary of changes:
 .../shell/upgrade-conf.sh => tests/code_and_unit_tests.sh | 15 +++++++--------
 tests/func_tests.sh                                       |  3 ++-
 2 files changed, 9 insertions(+), 9 deletions(-)
 copy src/post-install.d/shell/upgrade-conf.sh => tests/code_and_unit_tests.sh (73%)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list